Bug 614533 - [RFE] What about shipping rarpd
Summary: [RFE] What about shipping rarpd
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: iputils   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jiri Skala
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-14 17:18 UTC by Jiri Popelka
Modified: 2014-11-09 22:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-19 12:43:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jiri Popelka 2010-07-14 17:18:37 UTC
I just did a merge review of rarpd (bug #226355)
and found out that there's no more upstream for rarpd as a separate program
and that rarpd is now part of iputils.

Looking into latest source of iputils,
I see there's rarpd source code and man page.

iputils RELNOTES say:
[010805]
* rarpd is moved from separate package here (people asked)

So why not shipping rarpd with iputils (which has living upstream)
and let the rarpd (the separate package) be obsoleted by iputils ?

Additional info:
http://linuxreviews.org/man/rarpd/

Comment 1 Jiri Skala 2010-07-19 12:43:57 UTC
There are no changes in rarpd for long time and first of all this movement would be confusing for users. Another effect is necessity to update iputils when rarpd update will be available and vice versa.

Therefore I prefer to let it be and I'm going to close it 'notabug'.

Comment 2 Jiri Popelka 2010-07-20 08:41:18 UTC
(In reply to comment #1)
> There are no changes in rarpd for long time and first of all this movement
> would be confusing for users.

When you add
Obsoletes: rarpd < ss981107-31
into iputils.spec then the only visible change for the user would be,
that yum offers him to install iputils when typing 'yum install rarpd'.

https://fedoraproject.org/wiki/Upgrade_paths_%E2%80%94_renaming_or_splitting_packages#.28n:1.29_Many-to-one_replacement

> Another effect is necessity to update iputils
> when rarpd update will be available and vice versa.
I don't understand this argument. When the iputils upstream changes something in rarpd code and releases new version of iputils, you will update iputils anyway, don't you ?

> Therefore I prefer to let it be and I'm going to close it 'notabug'.    
But it's your decision. So, I let this be too.


Note You need to log in before you can comment on or make changes to this bug.